Bug 339361 - x86_64 X server: c000:27b5: 01 ILLEGAL EXTENDED X86 OPCODE!
x86_64 X server: c000:27b5: 01 ILLEGAL EXTENDED X86 OPCODE!
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-10-19 04:08 EDT by Jos Vos
Modified: 2008-01-15 11:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 11:03:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2007-10-19 04:08:41 EDT
Description of problem:
When starting the X server on a specific x86_64 system, the log says:

  c000:27b5: 01 ILLEGAL EXTENDED X86 OPCODE!
  (EE) I810(0): VBE initialization failed.
  (EE) Screen(s) found, but none have a usable configuration.

This happens (a) when trying to do a graphical install (which isn't working) or
(b) after a text mode installation, when running "system-config-display --reconfig",

On the same system I can sucessfully do a graphical install of the i386 version,
with X running fine afterwards.

Version-Release number of selected component (if applicable):

Additional info:

VGA controller:
  00:02.0 VGA compatible controller: Intel Corporation 82915G/GV/910GL
  Integrated Graphics Controller (rev 0e) (prog-if 00 [VGA])
  Subsystem: Intel Corporation 82915G/GV/910GL Integrated Graphics Controller

System: IBM SurePOS 565 with Celeron 2.53GHz EM64T

Always installing/running with acpi=off (if that matters), otherwise the disk
doesn't work and the ata_piix driver can't be loaded.
Comment 1 Kostas Georgiou 2007-10-20 18:44:34 EDT
To me it looks like the "x86emu" int10 emulator is failing because it doesn't
recognize some of the x86 opcodes in the bios. I don't see why int10 is used
since I suspect this is your only card and int10 is only used to soft boot extra
cards or on arches that the x86 bios can't be posted natively (ppc for example).

Try disabling int10 with Option "NoInt10" "false" in the screen section, unless
the intel driver needs int10 for some strange reason this might help.
Comment 2 Matěj Cepl 2007-10-29 10:14:11 EDT
For official Red Hat Enterprise Linux support, please log into the Red Hat 
support website at http://www.redhat.com/support and file a support ticket, or 
alternatively contact Red Hat Global Support Services at 1-888-RED-HAT1 to 
speak directly with a support associate and escalate an issue.

In meantime, please attach your X server config file (/etc/X11/xorg.conf) and 
X server log file (/var/log/Xorg.*.log) to the bug report as individual 
uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and 
let X11 autodetect your display and video card? Attach to this 
bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this 

Thanks in advance.
Comment 3 Matěj Cepl 2008-01-15 11:03:12 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


Note You need to log in before you can comment on or make changes to this bug.